Update d-i.d.o dependencies for stretch
[debian.org.git] / debian / control
1 Source: debian.org
2 Section: local/admin
3 Priority: required
4 Maintainer: Debian sysadmin Team <debian-admin@debian.org>
5 Uploaders: Peter Palfrader <weasel@debian.org>, Martin Zobel-Helas <zobel@debian.org>, Stephen Gran <sgran@debian.org>, Luca Filipozzi <lfilipoz@debian.org>
6 Build-Depends: debhelper (>= 7)
7 Standards-Version: 3.8.1
8
9 Package: debian.org
10 Architecture: all
11 Depends: userdir-ldap, zsh, tcsh, mksh, ksh, csh, locales-all, exim4-daemon-heavy | postfix, sudo, libpam-pwdfile, vim, nano, munin-node, gnupg, bzip2, cacert-spi | ca-certificates (>> 20080411), ed, cron, dialog, libterm-readline-gnu-perl, logrotate, syslog-ng (>= 3.1), nagios-plugins-standard (>= 1.4.15) | nagios-plugins-basic
12 Recommends: debian.org-recommended
13 Conflicts: dchroot-dsa (<= 2:1)
14 Description: DSA's host metapackage
15  This package depends on packages that should be installed on every
16  debian.org host, and conflicts with packages that should never be
17  installed.
18
19 Package: debian.org-recommended-linux
20 Architecture: all
21 Depends: vlan, ifenslave, bridge-utils, iproute,
22         strace,
23         lsscsi,
24         ethtool,
25         bwm-ng,
26         iputils-tracepath,
27         traceroute,
28         lshw,
29         lsof
30 Description: metapackage to pull in recommended, but not essential tools for linux system
31  This package depends on packages that are recommended to  be installed on
32  every Linux debian.org host but are not essential.
33
34 Package: debian.org-recommended
35 Architecture: any
36 Depends: debian.org,
37         busybox-static,
38         debian.org-recommended-linux [linux-any],
39         molly-guard
40         ,
41         ruby-msgpack
42         ,
43         man-db
44         ,
45         devscripts
46         ,
47         subversion, rcs, git, bzr,
48                 git-svn,
49                 subversion-tools,
50                 mercurial,
51                 cvs
52         ,
53         mtr-tiny, tcpdump, tcptraceroute, ndisc6,
54         bind9-host, dnsutils, whois, unbound-host
55         ,
56         emacs24-nox | emacs24 | emacs23-nox | emacs23 | emacs22-nox | emacs22 | emacs21-nox | emacs21,
57         vim-scripts, vim-addon-manager
58         ,
59         at, uptimed,
60         puppet,
61                 ruby-augeas | libaugeas-ruby,
62                 augeas-lenses (>= 0.7),
63         dlocate
64         ,
65         dsa-nagios-checks
66         ,
67         munin-plugins-extra
68         ,
69         dmidecode [amd64 i386 ia64],
70         edac-utils,
71         sg3-utils
72         ,
73         ipython, ipython3
74         ,
75         mcelog [amd64 i386]
76         ,
77         htop, psmisc,
78         ,
79         ncdu,
80         mc,
81                 genisoimage,
82         less,
83         rsync,
84         screen,
85         tmux,
86         ldap-utils, ldapvi,
87         mmv,
88         moreutils,
89         patchutils,
90         diffstat,
91         bc,
92         netcat-openbsd, socat, telnet
93         ,
94         deborphan
95         ,
96         file
97         ,
98         buffer
99         ,
100         bsd-mailx
101         ,
102         timeout | coreutils (>= 8.0-1)
103         ,
104         wget, curl, lftp, ftp,
105         ,
106         dput
107         ,
108         uuid-runtime
109         ,
110         finger
111         ,
112         xz-utils,
113         pigz,
114         unzip
115         ,
116         w3m,
117         elinks,
118         mutt
119         ,
120         ccze,
121         multitail
122 Description: metapackage to pull in recommended, but not essential tools
123  This package depends on packages that are recommended to  be installed on
124  every debian.org host but are not essential.
125
126 Package: debian.org-bugs.debian.org
127 Architecture: all
128 Depends: graphviz,
129         libcgi-simple-perl,
130         libgravatar-url-perl,
131         libio-stringy-perl,
132         liblist-moreutils-perl,
133         libmail-rfc822-address-perl,
134         libmime-tools-perl,
135         libmldbm-perl,
136         libparams-validate-perl,
137         libsafe-hole-perl,
138         libtext-template-perl,
139         liburi-perl,
140         libhtml-tree-perl,
141         libsoap-lite-perl,
142         libtext-iconv-perl,
143         libdbd-pg-perl,
144         libfile-libmagic-perl,
145         libnet-dns-sec-perl,
146         libwww-perl,
147         imagemagick,
148         libdatetime-format-mail-perl,
149         libdatetime-format-pg-perl,
150         libdbix-class-perl,
151         libdbix-class-schema-loader-perl,
152         libdbix-class-helpers-perl,
153     libdbix-class-deploymenthandler-perl,
154     libdbix-class-timestamp-perl,
155     libterm-progressbar-perl,
156         python-pyinotify,
157         python-yaml,
158 # contributors.debian.org's data mining
159         python3-requests,
160         python3-debian,
161         python3-six
162 Description: metapackages for bugs.debian.org dependencies
163  This package depends on everything that is needed for a bugs.debian.org
164  mirror or (in the future) bugs-master.
165
166 Package: debian.org-bugs.debian.org-master
167 Architecture: all
168 Depends: debian.org-bugs.debian.org,
169         gnuplot,
170     libclamav-client-perl,
171         ttf-liberation,
172         kgb-client-git,
173         lynx    
174 Description: metapackages for bugs-master.debian.org dependencies
175  This package depends on everything that is needed for a
176  bugs-master.debian.org
177
178 Package: debian.org-bugs.debian.org-search
179 Architecture: all
180 Depends: debian.org-bugs.debian.org,
181         hyperestraier,
182         libdate-manip-perl,
183         libsearch-estraier-perl
184 Description: metapackages for bugs-search.debian.org dependencies
185  This package depends on everything that is needed for a
186  bugs-search.debian.org
187
188 Package: debian.org-bugs.debian.org-mx
189 Architecture: all
190 Depends: debian.org-bugs.debian.org,
191         spamassassin,
192         build-essential,
193         spamc,
194         libmail-spf-perl,
195         re2c,
196         libsys-syslog-perl,
197         libio-socket-inet6-perl,
198         libnet-ident-perl,
199         libdbi-perl,
200         pyzor,
201         libmail-dkim-perl,
202         libdbd-pg-perl
203 Description: metapackages for bugs.debian.org mail exchanger
204  This package depends on everything that is needed for a bugs.debian.org
205  MX.
206
207
208 Package: debian.org-packages-master.debian.org
209 Architecture: all
210 Depends: debian.org-packages.debian.org,
211         procmail,
212         gettext,
213         libhtml-template-perl,
214         libxml-rss-perl,
215         libtimedate-perl,
216         libio-stringy-perl,
217         freecdb,
218         tig
219 Description: metapackages for packages.debian.org dependencies
220  This package depends on everything that is needed for a
221  packages-master.debian.org server.  For the mirrors all you need is the
222  debian.org-packages.debian.org package.
223
224 Package: debian.org-packages.debian.org
225 Architecture: all
226 Depends: liblocale-maketext-lexicon-perl,
227         libi18n-acceptlanguage-perl,
228         libnumber-format-perl,
229         libcompress-zlib-perl,
230         libhtml-parser-perl,
231         libmldbm-perl,
232         libtext-iconv-perl,
233         libclass-accessor-perl,
234         liburi-perl,
235         libtemplate-perl,
236         liblingua-stem-perl,
237         libsearch-xapian-perl,
238         libtimedate-perl,
239         libcgi-fast-perl,
240         libapache2-mod-fcgid,
241         dpkg-dev,
242         rsync
243 Description: metapackages for packages.debian.org dependencies
244  This package depends on everything that is needed for a packages.debian.org
245  mirror.  For packages-master install the debian.org-packages-master.debian.org
246  package.
247
248 Package: debian.org-www-master.debian.org
249 Architecture: all
250 Depends: debiandoc-sgml,
251         asciidoc,
252         cm-super,
253         debhelper,
254         docbook,
255         docbook-dsssl,
256         docbook-utils,
257         docbook-xsl,
258         dpkg-dev,
259         fonts-arphic-uming,
260         fonts-mlym,
261         gawk (>= 1:4.0.1),
262         gettext,
263         ghostscript,
264         imagemagick,
265         iso-codes,
266         isoquery,
267         jadetex,
268         kcc,
269         ko.tex-base,
270         latex-cjk-all,
271         latex-cjk-chinese,
272         ldap-utils,
273         libcgi-pm-perl,
274         libemail-address-perl,
275         libintl-perl,
276         libmime-lite-perl,
277         libnet-ldap-perl,
278         libsoap-lite-perl,
279         libtimedate-perl,
280         libwww-perl,
281         libxml2-utils,
282         libxml-rss-perl,
283         locales, locales-all,
284         lmodern,
285         maildrop,
286         opencc,
287         openjade | openjade1.3,
288         opensp,
289         po4a,
290         poxml,
291         procmail,
292         texlive-fonts-recommended,
293         texlive-lang-all,
294         latex-cjk-japanese,
295         texlive-latex-base,
296         texlive-latex-extra,
297         texlive-latex-recommended,
298         fonts-wqy-microhei,
299         fonts-vlgothic,
300         tidy,
301         time,
302         uni2ascii,
303         wml,
304         xmlroff, dblatex,
305         xplanet,
306         xplanet-images,
307         xsltproc,
308         libjson-perl,
309 Description: metapackages for www-master.debian.org dependencies
310  This package depends on everything that is needed for a www-master.debian.org.
311
312
313 Package: debian.org-buildd.debian.org
314 Architecture: all
315 Depends:
316         dose-builddebcheck,
317         dose-distcheck,
318         ghostscript,
319         libcompress-bzip2-perl,
320         libcompress-zlib-perl,
321         libhash-merge-perl,
322         libmailtools-perl,
323         libdbi-perl,
324         libdbd-pg-perl,
325         libfile-spec-perl,
326         libstring-escape-perl,
327         libstring-format-perl,
328         libyaml-tiny-perl,
329         python-apt,
330         python-contract,
331         python-coverage,
332         python-debian,
333         python-psycopg2,
334         python-mako,
335         python-nose,
336         python-sqlalchemy,
337         r-base-core,
338         r-cran-lattice,
339         moreutils (>= 0.39~),
340         libdpkg-perl,
341         php,
342         php-bz2,
343         php-cgi,
344         php-pgsql,
345         libapache2-mod-fcgid,
346         libyaml-libyaml-perl
347 Description: metapackages for buildd.debian.org dependencies
348  This package depends on everything that is needed for a buildd.debian.org.
349
350
351 Package: debian.org-patch-tracker.debian.org
352 Architecture: all
353 Depends: patchutils,
354         python,
355         python-cheetah,
356         python-pygments,
357         python-debian,
358         reprepro,
359         python-wsgiref,
360         python-simplejson,
361         python-pysqlite2,
362         diffstat
363 Description: metapackages for patch-tracker.debian.org dependencies
364  This package depends on everything that is needed for a patch-tracker.debian.org.
365
366 Package: debian.org-planet.debian.org
367 Architecture: all
368 Depends: libwww-perl,
369         timeout | coreutils (>= 8.0-1),
370         debianutils,
371         python-django,
372         python,
373         libdbi-perl, libdate-manip-perl, libdbd-sqlite3-perl
374 Description: metapackages for planet.debian.org dependencies
375  This package depends on everything that is needed for a planet.debian.org.
376
377 Package: debian.org-security-tracker.debian.org
378 Architecture: all
379 Depends: libdbd-sqlite3-perl,
380         sqlite3,
381         python-apsw,
382         libterm-readline-gnu-perl,
383         python-apt,
384         python-soappy
385 Description: metapackages for security-tracker.debian.org dependencies
386  This package depends on everything that is needed for a security-tracker.debian.org.
387
388 Package: debian.org-ftpmaster.debian.org
389 Architecture: all
390 Depends: apt-utils,
391         libapt-pkg-dev,
392         libemail-sender-perl,
393         libcgi-pm-perl,
394         python-apt,
395         python-debianbts (>= 1.4~bpo50+1),
396         lintian,
397         python,
398         python-debian,
399         python-ldap,
400         python-psycopg2,
401         python-pygresql,
402         python-pyrss2gen,
403         python-yaml,
404         python-rrdtool,
405         python-sqlalchemy,
406         python3-voluptuous,
407         python3-yaml,
408         binutils-multiarch,
409         build-essential,
410         graphviz,
411         ikiwiki,
412         libdbd-pg-ruby,
413         python-epydoc,
414         python-numpy,
415         python-soappy,
416         r-base,
417         symlinks,
418         python-magic,
419         unp,
420         procmail,
421         cvs,
422         ruby,
423         lynx,
424         libxml-rss-perl,
425         ghostscript,
426         perforate,
427         wdiff,
428         ruby-soap4r,
429         ack-grep,
430         jdupes,
431         python-debiancontributors,
432 Description: metapackage for ftpmaster
433  This package depends on everything that is needed for an ftpmaster setup.
434
435 Package: debian.org-ftpmaster.debian.org-poneys
436 Architecture: all
437 Depends: bicyclerepair,
438         dpkg-dev-el,
439         emacs-goodies-el,
440         pychecker,
441         pylint,
442         python-mode,
443         gitstats,
444         colordiff
445 Description: metapackage for ftpmaster extras
446  Things not really needed needed.
447
448 Package: debian.org-upload.debian.org
449 Architecture: all
450 Depends: acl,
451          python-apt,
452          python-debian,
453          python-psycopg2,
454          python-sqlalchemy,
455          python-rrdtool,
456          python,
457          libemail-sender-perl
458 Description: metapackage for upload-master host
459  This package depends on everything that an upload master host (with
460  queued and DEFERRED queue) needs.
461
462 Package: debian.org-release.debian.org
463 Architecture: all
464 Depends:
465         colordiff,
466         dose-distcheck,
467         dose-builddebcheck,
468         mutt,
469         subversion,
470         python2.7,
471         python2.7-dev,
472         python-dev,
473         wdiff,
474         python-pygresql,
475         python-libxslt1,
476         python-apt,
477         python-debian,
478         python-six,
479         libapt-pkg-perl,
480         libapt-pkg-dev,
481         dpkg-dev,
482         procmail,
483         rrdtool,
484         python3-apt,
485         python3-debian,
486         python3-six,
487         python3-yaml,
488         picosat,
489         git-email,
490         python-networkx,
491         python-pygraphviz,
492         python-yaml,
493         postgresql-client,
494         python-psycopg2,
495         python3-psycopg2,
496         python-sqlalchemy,
497         libdbd-pg-perl,
498         libsoap-lite-perl,
499 Description: metapackage for release
500  This package depends on everything that is needed for a release.debian.org
501  setup.
502
503 Package: debian.org-cdbuilder.debian.org
504 Architecture: all
505 Depends: bittornado,
506         build-essential,
507         debhelper,
508         debian-cd,
509         jigit,
510         m4,
511         tofrodos,
512         qemu-system-arm,
513         qemu-system-x86,
514         qemu-utils,
515         qemu-kvm,
516         zip,
517         zsync,
518         fakeroot,
519         dosfstools,
520         xorriso,
521         libsoap-lite-perl,
522         mtools,
523         libdbd-sqlite3-perl
524 Description: metapackage for cdbuilder
525  This package depends on all the packages that are needed for a cdbuilder setup.
526
527 Package: debian.org-cdimage-search.debian.org
528 Architecture: all
529 Depends: libconfigreader-simple-perl, libdbd-sqlite3-perl
530 Description: metapackage for cdimage-search.debian.org
531  This package depends on all the packages that are needed for the CD/DVD search CGI website
532
533 Package: debian.org-manpages.debian.org
534 Architecture: all
535 Depends: golang-go,
536         mandoc
537 Description: metapackage for manpages
538  This package depends on all the packages that are needed for manpages.d.o setup.
539
540 Package: debian.org-nm.debian.org
541 Architecture: all
542 Depends: libapache2-mod-wsgi-py3,
543         mutt, mboxgrep,
544         python,
545         python-mako (>= 0.2.5), python-ldap,
546         python-apt, python-beautifulsoup, python-debianbts, python-dns,
547         python-dnspython, python-egenix-mxdatetime, python-egenix-mxtools,
548         python-elementtree | python (>= 2.6), python-flup, python-libxml2,
549         python-lxml, python-psycopg2, python-soappy,
550         python-xapian,
551         python-dateutil,
552         python-debian,
553         python-django (>= 1.8),
554         python-django-south,
555         python-debiancontributors,
556         python-tz,
557         python-markdown,
558         python-lzma,
559         python-requests (>= 2.0.0),
560         python-djangorestframework,
561         python3,
562         python3-requests,
563         python3-psycopg2,
564         python3-django (>= 1.10),
565         python3-ldap3,
566         python3-apt,
567         python3-xapian,
568         python3-dateutil,
569         python3-debian,
570         python3-debiancontributors,
571         python3-tz,
572         python3-git,
573         python3-markdown,
574         python3-djangorestframework,
575         procmail,
576         rrdtool,
577         moreutils,
578         libjs-jquery,
579         postgresql-client
580 Description: metapackage for nm.debian.org
581  This package depends on all the packages that are needed for nm.debian.org setup.
582
583 Package: debian.org-backports.debian.org
584 Architecture: all
585 Depends: debian.org-ftpmaster.debian.org,
586         libdbi-perl, libdbd-pg-perl
587 Description: metapackage for backports.debian.org
588  This package depends on all the packages that are needed for backports.debian.org setup.
589
590 Package: debian.org-qa.debian.org
591 Architecture: all
592 Depends: db-util,
593         devscripts (>= 2.15.9~),
594         gnuplot-nox,
595         wml,
596         libapt-pkg-perl,
597                 libcgi-pm-perl,
598                 libdbd-pg-perl,
599                 libdate-manip-perl,
600                 libdpkg-perl,
601                 libmailtools-perl,
602                 libsoap-lite-perl,
603                 libtemplate-perl,
604                 libxml-simple-perl,
605                 libmail-sendmail-perl,
606                 libdate-calc-perl,
607                 libnet-ldap-perl,
608                 libjson-perl,
609                 libyaml-syck-perl,
610         php5, php5-cgi, php5-cli,
611                 php5-ldap, php5-pgsql,
612                 libapache2-mod-fcgid,
613         python-apt, python-psycopg2, python-gpgme,
614         python3, python3-psycopg2,
615         postgresql-client,
616         libdbd-pg-ruby,
617         rrdtool,
618         raptor-utils | raptor2-utils,
619         dose-distcheck, dose-builddebcheck, python3-yaml, python3-debian, python3-debianbts,
620         bzr,
621         cvs,
622         darcs,
623         monotone,
624         git,
625         mercurial,
626         subversion,
627 Description: metapackage for qa.debian.org
628  This package depends on all the packages that are needed for qa.debian.org setup.
629
630 Package: debian.org-packages.qa.debian.org
631 Architecture: all
632 Depends: db4.7-util,
633         libio-compress-perl,
634         libio-compress-lzma-perl,
635         libmailtools-perl,
636         libmime-tools-perl,
637         libmail-verp-perl,
638         xsltproc,
639         mhonarc,
640         python,
641         python-lxml,
642         python-soappy,
643         python-debian,
644         python-yaml,
645         python-zsi
646 Description: metapackage for packages.qa.debian.org
647  This package depends on all the packages that are needed for packages.qa.debian.org setup.
648
649 Package: debian.org-tracker.debian.org
650 Architecture: all
651 Depends:
652 # Runtime
653         daemon,
654         libapache2-mod-wsgi,
655         python-apt,
656         python-bs4,
657         python-debian,
658         python-django (>= 1.8),
659         python-django-jsonfield,
660         python-gpgme,
661         python-ldap,
662         python-lzma,
663         python-requests (>= 2),
664         python-soappy,
665         python-yaml,
666         python-pyinotify,
667         dpkg-dev,
668 # Database access
669         python-psycopg2,
670         postgresql-client,
671 # Test suite and docs
672         python-mock,
673         python-sphinx,
674 Description: metapackage for tracker.debian.org
675  This package depends on all the packages that are needed for tracker.debian.org.
676
677 Package: debian.org-udd.debian.org
678 Architecture: all
679 Depends: curl,
680         dpkg-dev,
681         graphviz,
682         libapt-pkg-dev,
683         libcrypt-ssleay-perl,
684         libcgi-simple-perl,
685         libdbd-pg-perl,
686         libdbi-perl,
687         libdpkg-ruby,
688         libio-stringy-perl,
689         liblist-allutils-perl,
690         liblist-moreutils-perl,
691         libmime-tools-perl,
692         libmldbm-perl,
693         libparams-validate-perl,
694         libperl-dev,
695         libsafe-hole-perl,
696         libtext-template-perl,
697         libyaml-syck-perl,
698         postgresql-autodoc,
699         python-dateutil,
700         python-debian,
701         python-dev,
702         python-launchpadlib,
703         python-psycopg2,
704         python-yaml,
705         ruby-json,
706         ruby-oj
707 Description: metapackage for udd.debian.org
708  This package depends on all the packages that are needed for udd.debian.org setup.
709
710 Package: debian.org-snapshot.debian.org
711 Architecture: all
712 Depends:
713         ruby,
714         ruby-dbd-pg,
715         python-yaml, python-psycopg2, python-lockfile, python-fuse, uuid-runtime,
716         python-dev, gcc,
717         python-pylons
718 Description: metapackage for snapshot.debian.org
719  This package depends on all the packages that are needed for snapshot.debian.org setup.
720
721 Package: debian.org-women.debian.org
722 Architecture: all
723 Depends: wml
724 Description: metapackages for women.debian.org dependencies
725  This package depends on everything that is needed for women.debian.org.
726
727
728 Package: debian.org-lintian.debian.org
729 Architecture: all
730 Depends:   binutils,
731         binutils-multiarch,
732         bzip2,
733         diffstat,
734         dpkg-dev,
735         debhelper,
736         fakeroot,
737         file,
738         gettext,
739         gnuplot-nox | gnuplot,
740         intltool-debian,
741         libapt-pkg-perl,
742         libarchive-zip-perl,
743         libclass-accessor-perl,
744         libclone-perl,
745         libdigest-sha-perl,
746         libdpkg-perl,
747         libemail-valid-perl,
748         libfile-basedir-perl,
749         libhtml-parser-perl,
750         libipc-run-perl,
751         liblist-moreutils-perl,
752         libparse-debianchangelog-perl,
753         libperlio-gzip-perl,
754         libtimedate-perl,
755         libtext-levenshtein-perl,
756         libtext-template-perl,
757         liburi-perl,
758         libyaml-libyaml-perl,
759         libxml-simple-perl,
760         locales,
761         man-db,
762         perl,
763         perl (>= 5.14~) | libautodie-perl (>= 2.10~),
764         t1utils,
765         unzip
766         ,
767         docbook-utils,
768         docbook-xml
769         ,
770 Description: metapackages for lintian.debian.org dependencies
771  This package depends on everything that is needed for lintian.debian.org.
772
773 Package: debian.org-popcon.debian.org
774 Architecture: all
775 Depends:
776         libchart-perl,
777         libcgi-pm-perl
778 Description: metapackages for popcon.debian.org dependencies
779  This package depends on everything that is needed for popcon.debian.org.
780
781 Package: debian.org-dde.debian.net
782 Architecture: all
783 Depends: python-apt,
784         python-debian,
785         python-debianbts,
786         python-feedparser,
787         python-flup,
788         python-nose,
789         python-paste,
790         python-psycopg2,
791         python-pyrss2gen,
792         python-soappy,
793         python-werkzeug,
794         python-xapian,
795         python-yaml
796 Description: metapackages for dde.debian.net dependencies
797  This package depends on everything that is needed for dde.debian.net.
798
799 Package: debian.org-debtags.debian.org
800 Architecture: all
801 Depends: python-apt,
802         python-debian,
803         python-django,
804         python-xapian (>= 1.2.7-1~bpo60+1),
805         python-psycopg2,
806         python-debiancontributors,
807         python-six,
808         postgresql-client,
809         g++,
810         libapt-pkg-dev
811 Description: metapackages for debtags.debian.org dependencies
812  This package depends on everything that is needed for debtags.debian.org.
813
814 Package: debian.org-sso.debian.org
815 Architecture: all
816 Depends: libapache2-mod-wsgi-py3,
817         python3-requests,
818         python3-django,
819         python3-lockfile,
820         python3-ldap3,
821         python3-psycopg2,
822         python3-openssl,
823         gnutls-bin
824 Description: metapackages for sso.debian.org dependencies
825  This package depends on everything that is needed for sso.debian.org.
826
827 Package: debian.org-lists.debian.org
828 Architecture: all
829 Depends: xapian-tools,
830         xapian-omega,
831         smartlist,
832         procmail,
833         gnuplot,
834         rrdtool,
835         libdpkg-perl,
836         gettext,
837         grepmail,
838         libcompress-raw-zlib-perl,
839         libgcrypt20-dev,
840         libmoose-perl,
841         libnet-oauth2-perl,
842         carton,
843         amavisd-new,
844         amavis-lists,
845         zoo,
846         lha,
847         p7zip,
848         unrar-free,
849         ripole,
850         pfqueue,
851         pyzor,
852         razor,
853         mrtgutils,
854         pax,
855         pwgen,
856         rbldnsd,
857         rng-tools,
858         speedy-cgi-perl,
859         ccze,
860         pflogsumm
861 Description: metapackages for lists.debian.org dependencies
862  This package depends on everything that is needed for lists.debian.org.
863
864 Package: debian.org-ddtp.debian.org
865 Architecture: all
866 Depends: libalgorithm-diff-xs-perl,
867         libdbd-pg-perl,
868         libdbi-perl,
869         libmail-sender-perl,
870         libmime-tools-perl,
871         libtext-diff-perl,
872         libtext-iconv-perl
873         ,
874         gnuplot
875         ,
876         libapache2-mod-wsgi,
877         python-setuptools,
878         python-psycopg2,
879         python-django,
880         python-sqlalchemy
881         ,
882         tig,
883         postgresql-client-9.1
884 Description: metapackages for ddtp.debian.org dependencies
885  This package depends on everything that is needed for ddtp.debian.org.
886
887 Package: debian.org-i18n.debian.org
888 Architecture: all
889 Depends: gettext,
890         po-debconf
891         ,
892         liblocale-gettext-perl,
893         libmailtools-perl,
894         libsoap-lite-perl,
895         libtimedate-perl
896         ,
897         tig,
898         rrdtool
899 Description: metapackages for i18n.debian.org dependencies
900  This package depends on everything that is needed for i18n.debian.org.
901
902 Package: debian.org-l10n.debian.org
903 Architecture: all
904 Depends: gettext,
905         po-debconf
906         ,
907         liblocale-gettext-perl,
908         libmailtools-perl,
909         libsoap-lite-perl,
910         libtimedate-perl
911         ,
912         tig,
913         rrdtool
914 Description: metapackages for l10n.debian.org dependencies
915  This package depends on everything that is needed for l10n.debian.org.
916
917 Package: debian.org-piuparts-master.debian.org
918 Architecture: all
919 Depends: debhelper,
920         asciidoc,
921         git,
922         xmlto,
923         python-debianbts,
924         apache2,
925         ghostscript,
926         golang-go (>= 2:1.7~5~bpo8+1),
927         python-rpy2,
928         r-base-dev,
929         r-recommended,
930         tango-icon-theme,
931         screen,
932         python-apt,
933         python-distro-info,
934         python-lzma,
935         python-yaml,
936         libsoap-lite-perl,
937         dose-distcheck (>= 5.0.1-8~bpo8)
938 Description: metapackage for piuparts-master.debian.org
939  This package depends on all the packages that are needed for the
940  master in the piuparts.debian.org setup.
941
942 Package: debian.org-piuparts-slave.debian.org
943 Architecture: all
944 Depends: debhelper,
945         asciidoc,
946         git,
947         xmlto,
948         debootstrap,
949         debsums,
950         lsb-release,
951         screen,
952         python-debian,
953         python-apt,
954         python-distro-info,
955         python-lzma,
956         adequate (>= 0.15.1~bpo8)
957 Description: metapackage for piuparts-slave.debian.org
958  This package depends on all the packages that are needed for the
959  slaves in the piuparts.debian.org setup.
960
961 Package: debian.org-wiki.debian.org
962 Architecture: all
963 Depends: libapache2-mod-wsgi,
964         libcgi-pm-perl,
965         libjson-perl,
966         python-moinmoin (>= 1.9.7-2~bpo7+1),
967         python-launchpadlib,
968         libsoap-lite-perl,
969         python-docutils
970 Description: metapackage for wiki.debian.org
971  This package depends on all the packages that are needed for the Debian wiki
972
973 Package: debian.org-vote.debian.org
974 Architecture: all
975 Depends: libparse-recdescent-perl,
976         libmime-tools-perl,
977         libnet-ldap-perl,
978         libgnupg-interface-perl,
979         libmail-gnupg-perl,
980         graphviz
981 Description: metapackage for vote.debian.org
982  This package depends on all the packages that are needed for DeVoteE
983
984 Package: debian.org-bits.debian.org
985 Architecture: all
986 Depends: pelican, python-feedparser
987 Description: metapackage for bits.debian.org
988  This package depends on all the packages that are needed for the Debian
989  blog bits.debian.org
990
991 Package: debian.org-d-i.debian.org
992 Architecture: all
993 Depends: gnuplot,
994         libdate-manip-perl,
995         libemail-mime-perl,
996         libemail-sender-perl,
997         libfile-slurp-perl,
998         libgd-graph-perl,
999         libhtml-template-perl,
1000         liblist-moreutils-perl,
1001         libsort-versions-perl,
1002         myrepos,
1003         gettext,
1004         graphviz,
1005         fonts-liberation,
1006         dose-distcheck,
1007         liburi-perl,
1008         aspell,
1009         libunicode-string-perl,
1010         libxml-libxml-perl,
1011 # Taken from d-i's manual (src:installation-guide)'s build-deps:
1012         docbook,
1013         docbook-xml,
1014         docbook-xsl,
1015         xsltproc,
1016         gawk,
1017         libhtml-parser-perl,
1018         w3m,
1019         poxml,
1020         jadetex,
1021         openjade | openjade1.3,
1022         dblatex,
1023         docbook-dsssl,
1024         ghostscript,
1025         texlive-xetex,
1026         lmodern,
1027         texlive-lang-cyrillic,
1028         texlive-lang-czechslovak,
1029         texlive-lang-european,
1030         texlive-lang-french,
1031         texlive-lang-german,
1032         texlive-lang-greek,
1033         texlive-lang-italian,
1034         texlive-lang-other,
1035         texlive-lang-portuguese,
1036         texlive-lang-spanish,
1037         ko.tex-base,
1038         cm-super,
1039         fonts-wqy-microhei,
1040         fonts-vlgothic,
1041         fonts-freefont-ttf,
1042         po-debconf
1043 Description: metapackage for d-i.debian.org
1044  This package depends on all the packages that are needed for the
1045  d-i.debian.org setup.
1046
1047 Package: debian.org-codesearch.debian.org
1048 Architecture: all
1049 Depends: dpkg-dev,
1050         postgresql-client
1051 Description: metapackage for codesearch.debian.org
1052  This package depends on all the packages that are needed for the codesearch
1053  setup.
1054
1055 Package: debian.org-dedup.debian.net
1056 Architecture: all
1057 Depends: curl,
1058         python,
1059         python-concurrent.futures,
1060         python-debian,
1061         python-imaging,
1062         python-jinja2,
1063         python-lzma,
1064         python-pkg-resources,
1065         python-werkzeug,
1066         python-yaml,
1067         python-sqlalchemy,
1068         python-ssdeep,
1069         python3,
1070         python3-debian,
1071         python3-jinja2,
1072         python3-pil,
1073         python3-pkg-resources,
1074         python3-werkzeug,
1075         python3-yaml,
1076         python3-sqlalchemy,
1077         python3-ssdeep,
1078         sqlite3
1079 Description: metapackage for dedup.debian.net
1080  This package depends on all packages that are required for operating the
1081  Debian duplication detector.
1082
1083 Package: debian.org-wnpp-by-tags.debian.net
1084 Architecture: all
1085 Depends: debtags, python-debian, python-beautifulsoup
1086 Description: metapackage for wnpp-by-tags.debian.net
1087  This package depends on all the packages that are needed for the wnpp-by-tags
1088  setup.
1089
1090 Package: debian.org-blends.debian.org
1091 Architecture: all
1092 Depends: python-genshi,
1093  python-markdown,
1094  python-docutils,
1095  python-debian,
1096  python-psutil,
1097  python-psycopg2,
1098  python-apt,
1099  python3-genshi,
1100  python3-markdown,
1101  python3-docutils,
1102  python3-debian,
1103  python3-psutil,
1104  python3-psycopg2,
1105  python3-apt,
1106  postgresql-client
1107 Description: metapackage for blends.debian.org
1108  This package depends on all the packages that are needed for the
1109  blends.debian.org setup.
1110
1111 Package: debian.org-pet.debian.net
1112 Architecture: all
1113 Depends: python-apt,
1114         python-argparse,
1115         python-debian,
1116         python-debianbts,
1117         python-inotifyx,
1118         python-paste,
1119         python-psycopg2,
1120         python-pyramid,
1121         python-popcon,
1122         python-sqlalchemy,
1123         python-subversion
1124 Description: metapackages for pet.debian.net dependencies
1125  This package depends on everything that is needed for the PET setup.
1126
1127 Package: debian.org-dsa.debian.org
1128 Architecture: all
1129 Depends: ikiwiki, libtext-wikicreole-perl, libtext-wikiformat-perl, libtext-multimarkdown-perl
1130 Description: metapackages for dsa.debian.org master dependencies
1131  This package depends on everything that is needed for the service
1132
1133 Package: debian.org-dns.debian.org
1134 Architecture: all
1135 Depends: perl-doc,
1136         nagios-nrpe-plugin,
1137         sqlite3,
1138         libdata-compare-perl,
1139         libnet-dns-perl,
1140         libnet-dns-sec-perl,
1141         python-dnspython,
1142         python-yaml,
1143         letsencrypt.sh,
1144 Description: metapackages for dns.debian.org master dependencies
1145  This package depends on everything that is needed for the service
1146
1147 Package: debian.org-nagios.debian.org
1148 Architecture: all
1149 Depends: icinga,
1150         nagios-plugins-contrib
1151 Description: metapackages for nagios.debian.org master dependencies
1152  This package depends on everything that is needed for the service and
1153  also provides the dpkg-diverts for the REMOTE_USER hack
1154
1155 Package: debian.org-deriv.debian.net
1156 Architecture: all
1157 Depends: python,
1158         python-apt,
1159         python-debian,
1160         python-imaging,
1161         python-psycopg2,
1162         python-requests,
1163         python-simplejson,
1164         python-yaml,
1165         libxml-feed-perl,
1166         apt-transport-https,
1167         dpkg-dev,
1168         patchutils,
1169         rsync,
1170         curl,
1171         make,
1172         lzip,
1173 Homepage: https://wiki.debian.org/Derivatives/Integration#Patches
1174 Description: metapackage for the derivatives census patch generation
1175  This package depends on everything that is needed for the service
1176
1177 Package: debian.org-httpredir.debian.org
1178 Architecture: all
1179 Depends: inoticoming,
1180         libanyevent-perl,
1181         libanyevent-http-perl,
1182         libev-perl,
1183         libtimedate-perl,
1184         libgeo-ip-perl,
1185         libwww-perl,
1186         liburi-perl,
1187         libplack-perl,
1188         starman
1189 Description: metapackage for http-redirector dependencies
1190  This package depends on everything that is needed for an instance of
1191  the http-redirector.
1192
1193 Package: debian.org-search.debian.org
1194 Architecture: all
1195 Depends: xapian-omega
1196 Description: metapackage for search.debian.org dependencies
1197  This package depends on everything that is needed for an instance of
1198  the www search engine (aka search.debian.org).
1199
1200 Package: debian.org-dgit.debian.org
1201 Architecture: all
1202 Depends: perl,
1203         libwww-perl,
1204         libdpkg-perl,
1205         git,
1206         devscripts,
1207         dpkg-dev,
1208         libdigest-sha-perl,
1209         liblist-moreutils-perl,
1210         libtext-iconv-perl,
1211         libtext-glob-perl,
1212         dput,
1213         curl,
1214         libjson-perl,
1215         gpgv,
1216         chiark-utils-bin,
1217         libdbd-sqlite3-perl,
1218         sqlite3
1219 Description: metapackage for dgit.debian.org dependencies
1220  This package depends on everything that is needed for an instance of
1221  the dgit git server (aka dgit.debian.org).
1222  .
1223  (This is actually simply the dependencies of the dgit and
1224  dgit-infrastructure binary packages, but due to chicken-and-egg
1225  problems and for ease of maintenance we are running the dgit
1226  infrastructure out of a git tree.)
1227
1228 Package: debian.org-appstream.debian.org
1229 Architecture: all
1230 Depends: gdc,
1231         libappstream-dev,
1232         optipng,
1233         cmake,
1234         intltool,
1235         libglib2.0-dev,
1236         libxml2-dev,
1237         libgirepository1.0-dev,
1238         libxapian-dev,
1239         libyaml-dev,
1240         xmlto,
1241         gobject-introspection,
1242         libprotobuf-dev,
1243         protobuf-compiler,
1244         libgdk-pixbuf2.0-dev,
1245         libarchive-dev,
1246         librsvg2-dev,
1247         liblmdb-dev,
1248         libcairo2-dev
1249 Description: metapackage for appstream.debian.org dependencies
1250  This package depends on everything that is needed for an instance of
1251  the DEP-11/AppStream metadata extractor.
1252
1253 Package: debian.org-debian-r.debian.org
1254 Architecture: all
1255 Depends: debian.org-ftpmaster.debian.org
1256 Description: metapackage for debian-r.debian.org dependencies
1257  This package depends on everything that is needed for the debian-r
1258  archive software (which is generally everything that is required by
1259  ftpmaster.debian.org).
1260
1261 Package: debian.org-ftpmaster.debian-ports.org
1262 Architecture: all
1263 Depends: apt-utils,
1264         git,
1265         gnupg,
1266         python,
1267         python-debian,
1268         procmail,
1269         wget
1270 Description: metapackage for debian-ports ftpmaster
1271  This package depends on everything that is needed for a debian-ports
1272  ftpmaster setup (using mini-dak).
1273
1274 Package: debian.org-bootstrap.debian.net
1275 Architecture: all
1276 Depends: curl,
1277         debian-ports-archive-keyring,
1278         gnuplot,
1279         dose-distcheck,
1280         apt-cudf,
1281         botch,
1282         python3-pydot,
1283         libjs-jquery,
1284         libjs-jquery-tablesorter,
1285         libgraph-easy-perl,
1286         libsoap-lite-perl,
1287         time,
1288 Description: metapackage for bootstrap.debian.net
1289  This package depends on everything that is needed for the bootstrap
1290  analysis tools with results displayed on bootstrap.debian.net
1291
1292 Package: debian.org-mirror-master.debian.org
1293 Architecture: all
1294 Depends: sqlite3,
1295         python3-sqlalchemy,
1296         python3-dateutil,
1297         python3-jinja2,
1298         python3-bs4,
1299         python3-alembic (>= 0.8.7)
1300 Description: metapackage for mirror-master.debian.org
1301  This package depends on everything that is needed for
1302  mirror-master.debian.org.
1303
1304 Package: debian.org-sources.debian.org
1305 Architecture: all
1306 Depends: apache2,
1307         libapache2-mod-fcgid,
1308         libjs-highlight.js,
1309         libjs-jquery,
1310         python-apt,
1311         python-debian,
1312         python-flask,
1313         python-flaskext.wtf,
1314         python-flup,
1315         python-magic,
1316         tango-icon-theme,
1317         diffstat,
1318         dpkg-dev,
1319         exuberant-ctags,
1320         python-lzma,
1321         python-matplotlib,
1322         python-psycopg2,
1323         python-sqlalchemy,
1324         sloccount,
1325 Description: metapackage for sources.debian.org
1326  This package depends on everything that is needed for
1327  sources.debian.org (Debsources).